/**
 * Outter containers
 */
.congenital-syndrom {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:auto;
}
.congenital-syndrom-canvas {
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(254, 191, 197, 0.49);
}

/**
 * Baby
 */
.congenital-syndrom .main-baby-selectors {
    display:block;
    position: absolute;
    left:0px;
    top: 0px;
    width: 100%;
    height:100%;
}

.congenital-syndrom .main-baby-selectors .mb-head-selector,
.congenital-syndrom .main-baby-selectors .mb-face-selector,
.congenital-syndrom .main-baby-selectors .mb-throat-selector,
.congenital-syndrom .main-baby-selectors .mb-body-selector {
    display: block;
    position: relative;
    left: 46%;
}
.congenital-syndrom .main-baby-selectors .mb-head-selector {
    top: 9%;
}
.congenital-syndrom .main-baby-selectors .mb-face-selector {
    top: 22%;
}
.congenital-syndrom .main-baby-selectors .mb-throat-selector {
    top: 35%;
}
.congenital-syndrom .main-baby-selectors .mb-body-selector {
    top: 50%;
}

.congenital-syndrom .main-baby-selectors .mb-head-selector .icon,
.congenital-syndrom .main-baby-selectors .mb-face-selector .icon,
.congenital-syndrom .main-baby-selectors .mb-throat-selector .icon,
.congenital-syndrom .main-baby-selectors .mb-body-selector .icon {
    display:block;
    position:absolute;
    float:left;
    left:0px;
    top:0px;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    border: 1px solid rgb(2, 30, 32);
}
.congenital-syndrom .main-baby-selectors .mb-head-selector .icon {
    background-color: #ee9db8;
}
.congenital-syndrom .main-baby-selectors .mb-face-selector .icon {
    background-color: #d782ad;
}
.congenital-syndrom .main-baby-selectors .mb-throat-selector .icon {
    background-color: #ea6575;
}
.congenital-syndrom .main-baby-selectors .mb-body-selector .icon {
    background-color: #eb465a;
}
.congenital-syndrom .main-baby-selectors .selector .icon.selected {
    animation-name: animate-button-border;
    animation-duration: 1000ms;
    animation-iteration-count: 5;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: animate-button-border;
    -webkit-animation-duration: 1000ms;
    -webkit-animation-iteration-count: 5;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: animate-button-border;
    -moz-animation-duration: 1000ms;
    -moz-animation-iteration-count: 5;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: animate-button-border;
    -ms-animation-duration: 1000ms;
    -ms-animation-iteration-count: 5;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}

@-moz-keyframes animate-button-border {
    0% {
        border: 3px solid rgb(59, 175, 183);
    }
    50% {
        border: 3px solid rgb(253, 253, 252);
    }
    100% {
        border: 3px solid rgb(2, 30, 32);
    }
}
@-webkit-keyframes animate-button-border {
    0% {
        border: 3px solid rgb(59, 175, 183);
    }
    50% {
        border: 3px solid rgb(253, 253, 252);
    }
    100% {
        border: 3px solid rgb(2, 30, 32);
    }
}
@keyframes animate-button-border {
    0% {
        border: 3px solid rgb(59, 175, 183);
    }
    50% {
        border: 3px solid rgb(253, 253, 252);
    }
    100% {
        border: 3px solid rgb(2, 30, 32);
    }
}

/**
 * Conectors
 */
.congenital-syndrom .main-baby-selectors .selector .line,
.congenital-syndrom .topics .topic .v-line {
    display: block;
    position: absolute;
    background-color: #000000;
}
.congenital-syndrom .main-baby-selectors .selector .line {
    left: 10px;
    top: 10px;
    width:0px;
    height: 3px;
}
.congenital-syndrom .topics .topic .v-line {
    left: 20%;
    top: 50px;
    width: 3px;
}
.congenital-syndrom .topics .topic .v-line.connected {
    animation-name: increase-vline-height;
    animation-duration: 1500ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: increase-vline-height;
    -webkit-animation-duration: 1500ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: increase-vline-height;
    -moz-animation-duration: 1500ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: increase-vline-height;
    -ms-animation-duration: 1500ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}

/**
 * Animation: Increase vline height
 */
@-moz-keyframes increase-vline-height {
    0% {
        height:0%;
    }
    50% {
        height:30%;
    }
    100% {
        height:100%;
    }
}
@-webkit-keyframes increase-vline-height {
    0% {
        height:0%;
    }
    50% {
        height:30%;
    }
    100% {
        height:100%;
    }
}
@keyframes increase-vline-height {
    0% {
        height:0%;
    }
    50% {
        height:30%;
    }
    100% {
        height:100%;
    }
}

@media(max-width:767px) {

    .congenital-syndrom .main-baby-selectors .selector .line,
    .congenital-syndrom .topics .topic .v-line {
        display:none;
    }

}

/**
 * Baby image
 */
.congenital-syndrom .main-baby img,
.congenital-syndrom .topics img {
    display:block;
    position:relative;
    max-width: 100%;
    height:auto;
}
.congenital-syndrom .main-baby img {
    display:block;
    position:relative;
}

/**
 * Info topics
 */
.congenital-syndrom .topics {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: auto;
}
.congenital-syndrom .topics .topic {
    display: inline-block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    padding-left:15px;
    padding-right:0px;
    padding-top:5px;
    padding-bottom:5px;
}
.congenital-syndrom .topics .topic img {
    display: inline-block;
    max-width: 35%;
    float: left;
    left: 0px;
}
.congenital-syndrom .topics .topic .mb-topic-info {
    display: inline-block;
    position: relative;
    float: left;
    left: 30px;
    max-width: 60%;
    max-height: 400px;
    padding-left: 10px;
    padding-top: 15px;
    padding-right: 25px;
    padding-bottom: 5px;
    background-color: #ffffff;
    border-radius: 2px;
}
.congenital-syndrom .topics .topic .mb-topic-info::before {
    display: block;
    position: absolute;
    top: 35%;
    left: -10px;
    width: 20px;
    height: 20px;
    content: '';
    background-color: #ffffff;
    border: none;
    z-index: 0;
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}
.congenital-syndrom .topics .topic .mb-topic-info > div {
    display: block;
    position: relative;
    left: 0px;
    top: 0px;
    width: 100%;
    height: calc(100%);
    max-height: 300px;
    overflow: auto;
}

.congenital-syndrom .topics .topic.mb-face-topic-1 {
    margin-top: 5%;
}
.congenital-syndrom .topics .topic.mb-throat-topic-1 {
    margin-top: 15%;
}
.congenital-syndrom .topics .topic.mb-body-topic-1 {
    margin-top: 27%;
}

.congenital-syndrom .topics .topic.mb-head-topic-2 .mb-topic-info {
    top: 50px;
}
.congenital-syndrom .topics .topic.mb-face-topic-1 .mb-topic-info {
    top: 50px;
}
.congenital-syndrom .topics .topic.mb-throat-topic-1 .mb-topic-info {
    top: 50px;
}
.congenital-syndrom .topics .topic.mb-body-topic-1 .mb-topic-info {
    top: 0px;
}

@media(max-width:767px) {

    /* Content containers */
    .congenital-syndrom .topics .topic.mb-face-topic-1 {
        margin-top: 20px;
    }
    .congenital-syndrom .topics .topic.mb-throat-topic-1 {
        margin-top: 20px;
    }
    .congenital-syndrom .topics .topic.mb-body-topic-1 {
        margin-top: 20px;
    }

    .congenital-syndrom .main-baby, 
    .congenital-syndrom .main-baby-selectors {
        margin-left: 15%;
        width: 70%;
    }

    .congenital-syndrom .topics {
        width:calc(100% + 30px);
        margin-left: -15px;
        margin-right: -15px;
    }

    .congenital-syndrom .topics .topic {
        margin-top: 15px;
        padding:0px;
    }

    .congenital-syndrom .topics .topic .mb-topic-info {
        left: 0px;
        min-width: 100%;
        max-width: 100%;
        min-height: 50px;
        max-height: 400px;
        margin-top: 15px;
        padding: 0px;
        padding-top: 15px;
        padding-right: 15px;
        background-color: #fdfdfd;
        border: 3px solid #333333;
    }

    .congenital-syndrom .topics .topic .mb-topic-info::before {
        top: -12px;
        left: calc(50% - 10px);
        background-color: #fdfdfd;
        border: 3px solid #333333;
        border-top: none;
        border-right: none;
    }

    .congenital-syndrom .topics .topic img {
        left: 33%;
        width: 33%;
        max-width: 33%;
    }

    .congenital-syndrom .topics .topic.mb-head-topic-2 .mb-topic-info,
    .congenital-syndrom .topics .topic.mb-face-topic-1 .mb-topic-info,
    .congenital-syndrom .topics .topic.mb-throat-topic-1 .mb-topic-info,
    .congenital-syndrom .topics .topic.mb-body-topic-1 .mb-topic-info {
        top:0px;
    }

}